OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
StepData

# StepData_DefaultGeneral Class Reference

DefaultGeneral defines a GeneralModule which processes
Unknown Entity from StepData only
.

`#include <StepData_DefaultGeneral.hxx>`

Inheritance diagram for StepData_DefaultGeneral:

[legend]

## Public Member Functions
Standard_EXPORT | StepData_DefaultGeneral ()
| Creates a Default General Module .
Standard_EXPORT void | FillSharedCase (const Standard_Integer casenum, const Handle(Standard_Transient)&ent, Interface_EntityIterator &iter) const
| Specific filling of the list of Entities shared by an Entity <ent>, which is an UnknownEntity from StepData. .
Standard_EXPORT void | CheckCase (const Standard_Integer casenum, const Handle(Standard_Transient)&ent, const Interface_ShareTool &shares, Handle(Interface_Check)&ach) const
| Specific Checking of an Entity <ent> .
Standard_EXPORT Standard_Boolean | NewVoid (const Standard_Integer CN, Handle(Standard_Transient)&entto) const
| Specific creation of a new void entity .
Standard_EXPORT void | CopyCase (const Standard_Integer casenum, const Handle(Standard_Transient)&entfrom, const Handle(Standard_Transient)&entto, Interface_CopyTool &TC) const
| Specific Copy ("Deep") from <entfrom> to <entto> (same type) by using a CopyTool which provides its working Map. Use method Transferred from TransferControl to work .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT StepData_DefaultGeneral::StepData_DefaultGeneral | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void StepData_DefaultGeneral::CheckCase | ( | const Standard_Integer | casenum,
|  | const Handle(Standard_Transient)& | ent,
|  | const Interface_ShareTool & | shares,
|  | Handle(Interface_Check)& | ach
| ) | const`[virtual]`

| Implements StepData_GeneralModule.

Standard_EXPORT void StepData_DefaultGeneral::CopyCase | ( | const Standard_Integer | casenum,
|  | const Handle(Standard_Transient)& | entfrom,
|  | const Handle(Standard_Transient)& | entto,
|  | Interface_CopyTool & | TC
| ) | const`[virtual]`

| Implements StepData_GeneralModule.

Standard_EXPORT void StepData_DefaultGeneral::FillSharedCase | ( | const Standard_Integer | casenum,
|  | const Handle(Standard_Transient)& | ent,
|  | Interface_EntityIterator & | iter
| ) | const`[virtual]`

| Implements StepData_GeneralModule.

Standard_EXPORT const StepData_DefaultGeneral::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepData_GeneralModule.

Standard_EXPORT Standard_Boolean StepData_DefaultGeneral::NewVoid | ( | const Standard_Integer | CN,
|  | Handle(Standard_Transient)& | entto
| ) | const`[virtual]`

| Implements Interface_GeneralModule.

The documentation for this class was generated from the following file:

- StepData_DefaultGeneral.hxx